Get championship by ID
GET
/api/v1/championships/{id}
const url = 'https://internal.myscore.live/api/v1/api/v1/championships/cmp_abc123';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://internal.myscore.live/api/v1/api/v1/championships/cmp_abc123Public endpoint. Returns a single championship with federation reference.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Example
cmp_abc123Championship ID
Responses
Section titled “ Responses ”Championship details
Media type application/json
object
id
required
Championship ID
string
federationId
required
Owning federation ID
string
name
required
Championship display name
string
season
required
Season label (e.g. summer, winter)
string
year
required
Year the championship runs in
string
createdAt
required
Record creation timestamp
string format: date-time
updatedAt
required
Record last update timestamp
string format: date-time
Example
{ "id": "chp_abc123", "federationId": "fed_abc123", "name": "Sommerrunde 2026", "season": "summer", "year": "2026", "createdAt": "2026-03-01T12:00:00.000Z", "updatedAt": "2026-03-01T12:00:00.000Z"}Championship not found